> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Update Warrant Status

> Sets the exercised, off-platform, paid, signed and under-lockup flags on many warrants at once.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/bulk-update-warrant-status
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/bulk-update-warrant-status:
    post:
      operationId: bulkUpdateWarrantStatus
      summary: Bulk Update Warrant Status
      description: >-
        Sets the exercised, off-platform, paid, signed and under-lockup flags on
        many warrants at once.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkUpdateWarrantStatusRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkUpdateWarrantStatusResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    BulkUpdateWarrantStatusRequest:
      type: object
      properties:
        warrantIds:
          type: array
          items:
            type: string
            format: uuid
          minItems: 1
          maxItems: 500
        isExercised:
          type: boolean
        isOffPlatform:
          type: boolean
        isPaid:
          type: boolean
        isSigned:
          type: boolean
        isUnderLockup:
          type: boolean
      required:
        - warrantIds
        - isExercised
        - isOffPlatform
        - isPaid
        - isSigned
        - isUnderLockup
    BulkUpdateWarrantStatusResponse:
      type: object
      properties:
        count:
          type: integer
      required:
        - count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
